# api_key.update

Update API Key id.

Specify reset: true to reset this API Key.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

ID of the API key to update.

##### Parameter 2: api_key_update

#### api_key_update

Type: object

Updated API key configuration data.

No Additional Properties

##

#### Name

Type: string

Human-readable name for the API key.

Must be at least `1` characters long

Must be at most `200` characters long

##

#### Expires At

Expiration timestamp for the API key or `null` for no expiration.

## Any of

Type: string Format: date-time
Type: null

##

#### Reset

Type: boolean

Whether to regenerate a new API key value for this entry.

##

#### Result

The updated API key (includes key value if reset was performed).

## Any of

#### ApiKeyEntryWithKey

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the API key.

##

#### Name

Type: string Default: "nobody"

Human-readable name for the API key.

Must be at least `1` characters long

Must be at most `200` characters long

##

#### Username

Username associated with the API key or `null` for system keys.

## Any of

Type: string
Type: string

Must be at least `1` characters long

Type: null

##

#### User Identifier

User ID (numeric) or SID (string) that owns this API key.

## Any of

Type: integer
Type: string

##

#### Keyhash

Type: string

Hashed representation of the API key (masked for security).

##

#### Created At

Type: string Format: date-time

Timestamp when the API key was created.

##

#### Expires At

Default: null

Expiration timestamp for the API key or `null` for no expiration.

## Any of

Type: string Format: date-time
Type: null

##

#### Local

Type: boolean

Whether this API key is for local system use only.

##

#### Revoked

Type: boolean

Whether the API key has been revoked and is no longer valid.

##

#### Revoked Reason

Reason for API key revocation or `null` if not revoked.

## Any of

Type: string
Type: null

##

#### Key

Type: string

The actual API key value (only returned on creation).

#### ApiKeyEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the API key.

##

#### Name

Type: string Default: "nobody"

Human-readable name for the API key.

Must be at least `1` characters long

Must be at most `200` characters long

##

#### Username

Username associated with the API key or `null` for system keys.

## Any of

Type: string
Type: string

Must be at least `1` characters long

Type: null

##

#### User Identifier

User ID (numeric) or SID (string) that owns this API key.

## Any of

Type: integer
Type: string

##

#### Keyhash

Type: string

Hashed representation of the API key (masked for security).

##

#### Created At

Type: string Format: date-time

Timestamp when the API key was created.

##

#### Expires At

Default: null

Expiration timestamp for the API key or `null` for no expiration.

## Any of

Type: string Format: date-time
Type: null

##

#### Local

Type: boolean

Whether this API key is for local system use only.

##

#### Revoked

Type: boolean

Whether the API key has been revoked and is no longer valid.

##

#### Revoked Reason

Reason for API key revocation or `null` if not revoked.

## Any of

Type: string
Type: null

Required roles: API_KEY_WRITE | READONLY_ADMIN